# Uses of Class
org.eclipse.jface.widgets.LinkFactory

Packages that use LinkFactory
Package
Description
org.eclipse.jface.widgets

## Uses of LinkFactory in org.eclipse.jface.widgets

Methods in org.eclipse.jface.widgets that return LinkFactory
Modifier and Type
Method
Description
`static LinkFactory`
LinkFactory.`newLink(int style)`
Creates a new factory with the given style.
`LinkFactory`
LinkFactory.`onSelect(Consumer<SelectionEvent> consumer)`
Creates a `SelectionListener` and registers it for the widgetSelected event.
`LinkFactory`
LinkFactory.`text(String text)`
Sets the receiver's text.